summaryrefslogtreecommitdiffhomepage
path: root/desktop/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/scripts')
-rwxr-xr-xdesktop/scripts/prepare-release.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/desktop/scripts/prepare-release.sh b/desktop/scripts/prepare-release.sh
index d54ce9d13c..01094ca8cd 100755
--- a/desktop/scripts/prepare-release.sh
+++ b/desktop/scripts/prepare-release.sh
@@ -40,6 +40,13 @@ function checks {
exit 1
fi
+ if ! git verify-commit HEAD; then
+ log_error \
+ "Current commit lacks valid signature. Releases can only be made from signed commits."
+ exit 1
+ fi
+ echo ""
+
if [[ $(grep "CHANGE THIS BEFORE A RELEASE" $changes_path) != "" ]]; then
log_error "It looks like you did not update $changes_path"
exit 1